﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = populateGrid();
        WebDataGrid1.DataBind();

    }


    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("ID");
        dt.Columns.Add("Name");
        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<Int32>("ID", i);
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }

    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        ImageButton button = sender as ImageButton;

        //get the template container
        TemplateContainer container = button.Parent as TemplateContainer ;

        GridRecordItem item = container.Item as GridRecordItem;
        //get the row's data key through the grid record
        String dataKey = item.Row.DataKey[0].ToString();
        Label1.Text = "First Templated imageButton of row: " + dataKey + " was clicked";
    }
    protected void WebDataGrid1_ItemCommand(object sender, HandleCommandEventArgs e)
    {
        if (e.CommandName == "SecondImageButtonClick")
        {
            ImageButton button = sender as ImageButton;

            //get the template container
            TemplateContainer container = button.Parent as TemplateContainer;

            GridRecordItem item = container.Item as GridRecordItem;
            //get the row's data key through the grid record
            String dataKey = item.Row.DataKey[0].ToString();
            Label2.Text = "Second Templated imageButton of row: " + dataKey + " was clicked (item command handled)";
            
        }
    }
}